• English
  • Authorization Pre-processing

    Request path

    /api/v2/open-auth/preauth

    Parameter list

    NameTypeLengthRequiredDescription
    callBackUrlString200yesAfter the user completes the authorized login, the H5 page will return to the callBackUrl address specified by the merchant. It is essential to configure the corresponding domain name for the callBackUrl on the PalmPay side. Only the callBackUrl under the configured domain name will be able to initiate authorization preprocessing.

    Return value

    NameTypeLengthRequiredDescription
    authLoginUrlString200yesPull up the H5 authorization URL

    Error Code

    Error Code

    Postman example

    request

    
    curl --location --request POST 'https://open-gw-sandbox.palmpay-inc.com/api/v2/open-auth/preauth' \
    --header 'Authorization: Bearer L79603172242' \
    --header 'Signature: gKIYnNAedoINkL/votUu32HlPOtY/J6JKHbgF1063lCZ1xvoFtAkqkn21+D5/5l6nTgz03NitKaMWVq6Fs7Y1QQVOarUYgDOlTlnO9kkw0u7zLqZtRLWqiMFPwt1qGDAauLQXni9R84XZEspVlpMnx374cGH1bXxbccgPNcwHEw=' \
    --header 'CountryCode: NG' \
    --header 'Content-Type: application/json' \
    --data-raw '{
        "requestTime":1662171389940,
        "version":"V2.0",
        "nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "callBackUrl":"https://baidu.com"
    }'

    response

    {
    	"data": {
    		"authLoginUrl": "https://checkout-daily.palmpay.com/h5-checkout/auth-login/?countryCode=NG&signKey=0S5SrDj%2BO3%2FWH6hH0LFK6zgtMkTSrdbZXdEV9U1Kpzw%3D&signSession=OAuth1rvirg000&appId=null&state=ini&merchantUrl=https%3A%2F%2Fbaidu.com",
    		"sdkSessionId": "OAuth1rvirg000",
    		"sdkSignKey": "0S5SrDj+O3/WH6hH0LFK6zgtMkTSrdbZXdEV9U1Kpzw="
    	},
    	"respCode": "00000000",
    	"respMsg": "success"
    }